Subject: bug#12899: Build failure from latest master

From: Stefano Lattarini <[email-masked]>
Date: Fri, 16 Nov 2012 10:01:07 +0100

On 11/16/2012 02:44 AM, Jim Meyering wrote:
> Stefano Lattarini wrote:
> 
>> Hi Paul, thanks for the quick feedback.
>>
>> On 11/15/2012 10:03 PM, Paul Eggert wrote:
>>> Thanks, wouldn't the following be a bit cleaner,
>>> since MAINTAINERCLEANFILES contains BUILT_SOURCES?
>>>
>> Possibly yes, but since this behaviour is not documented in the Automake
>> manual, I'd marginally (60-40) prefer not rely on it.  Not a big deal
>> in any case, so feel free to mend my patch if you like, with my ACK.
> 
> I too prefer to use BUILT_SOURCES, and using it here is
> consistent with the numerous other uses in that file.
> 
> Which behavior is not documented?
>
The fact that $(BUILT_SOURCES) is automatically cleaned by the
Automake-generated 'maintainer-clean rule'.

> The MAINTAINERCLEANFILES-containing-BUILT_SOURCES is done
> via this in src/local.mk:
>
>   MAINTAINERCLEANFILES += $(BUILT_SOURCES)
>
Ah, I didn't noticed that.  That I agree with Paul.  Could you (Paul
or Jim) tweak my patch accordingly, before pushing it?  Or should I
send a re-roll?

Thanks,
  Stefano